package com.capgemini.framework.common;

/**
 * Dummy test class.<br/>
 * Required by: ReflectionHelperTest
 **/
public class DummyBean {

    private String fooString;
    private int fooInt;

    /** Default constructor. **/
    public DummyBean() {
        // Nothing to do but must be keep for reflection 
    }

    /**
     * String getter.
     * 
     * @return String value
     **/
    public String getFooString() {
        return fooString;
    }

    /**
     * String setter.
     * 
     * @param aFooString String value
     **/
    public void setFooString(String aFooString) {
        fooString = aFooString;
    }

    /**
     * Integer getter.
     * 
     * @return Integer value
     **/
    public int getFooInt() {
        return fooInt;
    }

    /**
     * Integer setter.
     * 
     * @param aFooInt Integer value
     **/
    public void setFooInt(int aFooInt) {
        fooInt = aFooInt;
    }
}
